%define major 6
%define libxdmcp %mklibname xdmcp %{major}
%define devxdmcp %mklibname xdmcp -d

Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.1.2
Release: %mkrel 5
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.bz2

BuildRequires: libbsd-devel
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Shared library of %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library.

%files -n %{libxdmcp}
%{_libdir}/libXdmcp.so.%{major}
%{_libdir}/libXdmcp.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxdmcp}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}-%{release}
Provides: libxdmcp-devel = %{version}-%{release}
Obsoletes: %{_lib}xdmcp6-devel < 1.1.1-4
Obsoletes: %{_lib}xdmcp6-static-devel < 1.1.1-4

%description -n %{devxdmcp}
Development files for %{name}

%files -n %{devxdmcp}
%{_datadir}/doc/libXdmcp/xdmcp.xml
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--without-xmlto \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Mar 01 2017 tv <tv> 1.1.2-5.mga6
+ Revision: 1088369
- use libbsd for randoms (CVE-2017-2625, mga#20377)

* Fri Feb 12 2016 umeabot <umeabot> 1.1.2-4.mga6
+ Revision: 956000
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 blino <blino> 1.1.2-3.mga6
+ Revision: 887697
- explicitely disable xmlto docs (otherwise build fails if doc tools are availble on build host)

* Fri Aug 21 2015 tmb <tmb> 1.1.2-2.mga6
+ Revision: 867775
- rebuild for new gcc

* Sun Jun 21 2015 tv <tv> 1.1.2-1.mga6
+ Revision: 837523
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 743476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 681874
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 532717
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.1-4.mga4
+ Revision: 469449
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop .la files
- drop static devel pkg

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.1-3.mga3
+ Revision: 397154
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 358544
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.1-1.mga2
+ Revision: 222238
- new release

  + anssi <anssi>
    - fix summary and description of library package

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 6633
- imported package libxdmcp

